# react-native-form-builder

Render your custom forms created at form-builder.io in your react-native application..

## Installation

```sh
yarn add react-native-form-builder react-native-webview
```

## Usage

```js
import Form from "react-native-form-builder";

return () => <Form 
        id="THE_ID_OF_YOUR_FORM"
        initialValues={{
            name: "value"
        }}
        disableFields={['id']}
        hideSubmit={false}
        onSubmit={ (values) => /* Do Something */ }
    />
```

| Property | Default Value | Required ? | Function |
| -------- | ------------- | ---------- | -------- |
| id       | none           | yes       | This is the id of the form to render, found in your form URL |
| initialValues | none | no | Use this to default any values in your form. |
| disableFields | none | no | Use this array of strings, the `name` of each field, to prevent the user from editing them. |
| hideSubmit | false | no | Optionally hide the submit button for readonly viewing. |
| onSubmit | none | no | Use this to prevent the submission on Form-Builder and instead handle it locally within your applicatoin |


## Contributing

See the [contributing guide](CONTRIBUTING.md) to learn how to contribute to the repository and the development workflow.

## License

MIT
