"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFormJSON = exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNativeWebview = require("react-native-webview");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const APP_FORM_URL = 'https://form-builder.io';

const FormBuilderForm = props => {
  const formRef = (0, _react.useRef)(null);
  return /*#__PURE__*/_react.default.createElement(_reactNativeWebview.WebView, _extends({
    testID: "form-webview",
    scalesPageToFit: true,
    ref: formRef,
    onLoadEnd: () => {
      formRef.current.postMessage(JSON.stringify({
        values: props.initialValues,
        disableFields: props.disableFields,
        handleSubmit: !!props.onSubmit,
        hideSubmit: props.hideSubmit
      }));
    },
    onMessage: e => props.onSubmit ? props.onSubmit(e.nativeEvent.data) : () => {},
    source: {
      uri: "".concat(APP_FORM_URL, "/f/").concat(props.id)
    }
  }, props));
};

var _default = FormBuilderForm;
exports.default = _default;

const getFormJSON = async id => {
  return await fetch("http://localhost:3001/f/".concat(id));
};

exports.getFormJSON = getFormJSON;
//# sourceMappingURL=index.js.map