function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useRef } from 'react';
import { WebView } from 'react-native-webview';
const APP_FORM_URL = 'https://form-builder.io';

const FormBuilderForm = props => {
  const formRef = useRef(null);
  return /*#__PURE__*/React.createElement(WebView, _extends({
    testID: "form-webview",
    scalesPageToFit: true,
    ref: formRef,
    onLoadEnd: () => {
      formRef.current.postMessage(JSON.stringify({
        values: props.initialValues,
        disableFields: props.disableFields,
        handleSubmit: !!props.onSubmit,
        hideSubmit: props.hideSubmit
      }));
    },
    onMessage: e => props.onSubmit ? props.onSubmit(e.nativeEvent.data) : () => {},
    source: {
      uri: "".concat(APP_FORM_URL, "/f/").concat(props.id)
    }
  }, props));
};

export default FormBuilderForm;
export const getFormJSON = async id => {
  return await fetch("http://localhost:3001/f/".concat(id));
};
//# sourceMappingURL=index.js.map